# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration


class Migration(SchemaMigration):
    def forwards(self, orm):
        # Adding field 'Profile.created'
        db.add_column(u'core_profile', 'created',
                      self.gf('django.db.models.fields.DateTimeField')(
                          default=datetime.datetime(2014, 4, 2, 0, 0),
                          auto_now_add=True, blank=True),
                      keep_default=False)

        # Changing field 'Host.created'
        db.alter_column(u'core_host', 'created',
                        self.gf('django.db.models.fields.DateTimeField')(
                            auto_now_add=datetime.datetime(2014, 4, 2, 0, 0)))

    def backwards(self, orm):
        # Deleting field 'Profile.created'
        db.delete_column(u'core_profile', 'created')

        # Changing field 'Host.created'
        db.alter_column(u'core_host', 'created',
                        self.gf('django.db.models.fields.DateTimeField')(
                            auto_now_add=datetime.datetime(2014, 4, 1, 0, 0)))

    models = {
        u'core.host': {
            'Meta': {'object_name': 'Host'},
            'created': ('django.db.models.fields.DateTimeField', [],
                        {'auto_now_add': 'datetime.datetime(2014, 4, 2, 0, 0)',
                         'blank': 'True'}),
            'hostname': ('django.db.models.fields.CharField', [],
                         {'unique': 'True', 'max_length': '255',
                          'db_index': 'True'}),
            u'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'mac': ('django.db.models.fields.CharField', [],
                    {'unique': 'True', 'max_length': '17'}),
            'status': ('django.db.models.fields.CharField', [],
                       {'default': "'unknown'", 'max_length': "'40'"})
        },
        u'core.profile': {
            'Meta': {'ordering': "['-created']", 'object_name': 'Profile'},
            'created': ('django.db.models.fields.DateTimeField', [],
                        {'default': 'datetime.datetime(2014, 4, 2, 0, 0)',
                         'auto_now_add': 'True', 'blank': 'True'}),
            'hash': ('django.db.models.fields.CharField', [],
                     {'unique': 'True', 'max_length': '40'}),
            'host': ('django.db.models.fields.related.ForeignKey', [],
                     {'related_name': "'profiles'",
                      'to': u"orm['core.Host']"}),
            u'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'profile': (
                'django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }

    complete_apps = ['core']
