from django.conf.urls import patterns

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns(
    '',
    (r'^$', 'webui.views.index'),
    (r'^host\/(?P<hostname>[0-9a-z\.-]{,255})$', 'webui.views.host'),
    (r'^api\/host\/add$', 'api.views.add_host'),
    (r'^api\/profile\/apply$', 'api.views.apply_profile'),
    (r'^api\/preseed\/(?P<token>[0-9a-f]{40})\.cfg$', 'api.views.preseed'),
    (r'api\/firstboot\/(?P<token>[0-9a-f]{40})\.sh$', 'api.views.firstboot'),
    (r'api\/firstboot\/(?P<token>[0-9a-f]{40})\/' +
        '(?P<checkpoint>checkpoint|done|error)$',
     'api.views.firstboot_checkpoint'),
    (r'api/host/delete', 'api.views.delete_host'),
)
